<?xml version="1.0" encoding="UTF-8"?>

<!-- generateCSS -->

<xsl:stylesheet version="2.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xhtml="http://www.w3.org/TR/xhtml/strict"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
		xmlns:tei="http://www.tei-c.org/ns/1.0"
		xmlns:xinclude="http://www.w3.org/2001/XInclude"
		xmlns:xlink="http://www.w3.org/1999/xlink"
   	xmlns="http://www.xmlmind.com/xmleditor/schema/configuration"
		exclude-result-prefixes="tei xhtml">

<xsl:output method="xml" encoding="UTF-8" indent="no"/>

<xsl:param name="directory"/>
<xsl:param name="filename"/>

<xsl:variable name="file" select="concat($directory,'/',$filename)"/>

<xsl:template match="@*|node()">
  <xsl:copy>
    <xsl:apply-templates select="@*|node()"/>
  </xsl:copy>
</xsl:template>

<xsl:template match="*:css[position()=last()]">
	<xsl:copy><xsl:apply-templates select="@*|node()"/></xsl:copy>

<!-- test si première génération des vues ou si include existe déjà -->
  <xsl:choose>
    <xsl:when test="following::*:include[contains(@location,'css/temoins')]">
    </xsl:when>
    <xsl:otherwise>
      <include location="../css/temoins/temoins.incl"/>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

</xsl:stylesheet>
